from setuptools import find_packages, setup

package_name = 'rq_hardware'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='swittl',
    maintainer_email='simon.wittl@th-deg.de',
    description='TODO: Package description',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'echo_hardware_service = rq_hardware.echo.echo_hardware_service:main',
            'artist_service = rq_hardware.artist.artist_hardware_service:main',
            'thd_roboct_service = rq_hardware.thd_roboct.thd_roboct_service:main',
            'client = rq_hardware.hardware_client:main'
        ],
    },
)
